Skip to content

Totp Disable

POST
/api/v1/auth/totp/disable
curl --request POST \
--url https://example.com/api/v1/auth/totp/disable \
--header 'Content-Type: application/json' \
--data '{ "password": "example" }'

Disable TOTP for the current user — requires re-confirming the current password.

Media typeapplication/json
TOTPDisableRequest
object
password
required
Password
string
<= 1024 characters

Example generated

{
"password": "example"
}

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}